# 68. Mutation: Statistiken von „VectorAnalysisMap“ aktualisieren

Aktualisiert die Statistiken für die Zonenkarte. Kann verwendet werden, wenn das Zusammenführen/Aufteilen von Zonen in der Benutzeroberfläche durchgeführt wurde.

{% hint style="info" %}
Prüfen <https://geopard.tech/blog/merge-and-split-zones/> Artikel.&#x20;
{% endhint %}

Mutation, um Statistiken zu aktualisieren, ohne sie in der Datenbank zu speichern. Die Antwort enthält die neu berechneten Statistiken als JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/68.-mutation-statistiken-von-vectoranalysismap-aktualisieren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
